Skip to main content
Server path: /reducto | Type: Application | PCID required: Yes

Tools


reducto_cancel_job

Cancel Job Parameters:
ParameterTypeRequiredDefaultDescription
job_idstringYesJob Id

reducto_classify

Classify Parameters:
ParameterTypeRequiredDefaultDescription
classification_schemaobject[]NoA list of classification categories and their matching criteria.
document_metadatastringNoOptional document-level metadata to include in classification prompts.
inputobjectYesFor parse/split/extract pipelines, the URL of the document to be processed. You can provide one of the following: 1. A publicly available URL 2. A presigned S3 URL 3. A reducto:// prefixed URL obtained from the /upload endpoint after directly uploading a document 4. A jobid:// prefixed URL obtained from a previous /parse invocation 5. A list of URLs (for multi-document pipelines, V3 API only) For edit pipelines, this should be a string containing the edit instructions
page_rangeobjectNoThe page range to process (1-indexed). By default, the first 5 pages are used. If more than 25 pages are selected, only the first 25 (after sorting) are used. Only applies to PDFs; ignored for other document types.
persist_resultsbooleanNoIf True, persist the results indefinitely. Defaults to False.

reducto_edit

Edit Parameters:
ParameterTypeRequiredDefaultDescription
document_urlobjectYesThe URL of the document to be processed. You can provide one of the following: 1. A publicly available URL 2. A presigned S3 URL 3. A reducto:// prefixed URL obtained from the /upload endpoint after directly uploading a document
edit_instructionsstringYesThe instructions for the edit.
edit_optionsobjectNoEdit Options
form_schemaobject[]NoForm schema for PDF forms. List of widgets with their types, descriptions, and bounding boxes. Only works for PDFs.
prioritybooleanNoIf True, attempts to process the job with priority if the user has priority processing budget available; by default, sync jobs are prioritized above async jobs.

reducto_edit_async

Edit Async Parameters:
ParameterTypeRequiredDefaultDescription
document_urlobjectYesThe URL of the document to be processed. You can provide one of the following: 1. A publicly available URL 2. A presigned S3 URL 3. A reducto:// prefixed URL obtained from the /upload endpoint after directly uploading a document
edit_instructionsstringYesThe instructions for the edit.
edit_optionsobjectNoEdit Options
form_schemaobject[]NoForm schema for PDF forms. List of widgets with their types, descriptions, and bounding boxes. Only works for PDFs.
prioritybooleanNoIf True, attempts to process the job with priority if the user has priority processing budget available; by default, sync jobs are prioritized above async jobs.
webhookobjectNoThe webhook value

reducto_extract

Extract Parameters:
ParameterTypeRequiredDefaultDescription
bodyobjectYesRequest body

reducto_extract_async

Extract Async Parameters:
ParameterTypeRequiredDefaultDescription
asyncobjectNoThe async value
inputobjectYesFor parse/split/extract pipelines, the URL of the document to be processed. You can provide one of the following: 1. A publicly available URL 2. A presigned S3 URL 3. A reducto:// prefixed URL obtained from the /upload endpoint after directly uploading a document 4. A jobid:// prefixed URL obtained from a previous /parse invocation 5. A list of URLs (for multi-document pipelines, V3 API only) For edit pipelines, this should be a string containing the edit instructions
instructionsobjectNoThe instructions value
parsingobjectNoThe parsing value
settingsobjectNoThe settings value

reducto_get_job

Retrieve Parse Parameters:
ParameterTypeRequiredDefaultDescription
job_idstringYesJob Id

reducto_list_jobs

Get Jobs Parameters:
ParameterTypeRequiredDefaultDescription
exclude_configsbooleanNoExclude raw_config from response to reduce size
cursorstringNoCursor for pagination. Use the next_cursor from the previous response to fetch the next page.
limitintegerNoMaximum number of jobs to return per page. Defaults to 100, max 500.

reducto_parse

Parse Parameters:
ParameterTypeRequiredDefaultDescription
bodyobjectYesRequest body

reducto_parse_async

Async Parse Parameters:
ParameterTypeRequiredDefaultDescription
asyncobjectNoThe async value
enhanceobjectNoThe enhance value
formattingobjectNoThe formatting value
inputobjectYesFor parse/split/extract pipelines, the URL of the document to be processed. You can provide one of the following: 1. A publicly available URL 2. A presigned S3 URL 3. A reducto:// prefixed URL obtained from the /upload endpoint after directly uploading a document 4. A jobid:// prefixed URL obtained from a previous /parse invocation 5. A list of URLs (for multi-document pipelines, V3 API only) For edit pipelines, this should be a string containing the edit instructions
queue_prioritystringNoCustomer-facing queue priority for parse jobs.
retrievalobjectNoThe retrieval value
settingsobjectNoThe settings value
spreadsheetobjectNoThe spreadsheet value

reducto_pipeline

Pipeline Parameters:
ParameterTypeRequiredDefaultDescription
inputobjectYesFor parse/split/extract pipelines, the URL of the document to be processed. You can provide one of the following: 1. A publicly available URL 2. A presigned S3 URL 3. A reducto:// prefixed URL obtained from the /upload endpoint after directly uploading a document 4. A jobid:// prefixed URL obtained from a previous /parse invocation 5. A list of URLs (for multi-document pipelines, V3 API only) For edit pipelines, this should be a string containing the edit instructions
pipeline_idstringYesThe ID of the pipeline to use for the document.
settingsobjectNoSettings for pipeline execution that override pipeline defaults.

reducto_pipeline_async

Pipeline Async Parameters:
ParameterTypeRequiredDefaultDescription
asyncobjectNoThe async value
inputobjectYesFor parse/split/extract pipelines, the URL of the document to be processed. You can provide one of the following: 1. A publicly available URL 2. A presigned S3 URL 3. A reducto:// prefixed URL obtained from the /upload endpoint after directly uploading a document 4. A jobid:// prefixed URL obtained from a previous /parse invocation 5. A list of URLs (for multi-document pipelines, V3 API only) For edit pipelines, this should be a string containing the edit instructions
pipeline_idstringYesThe ID of the pipeline to use for the document.
settingsobjectNoSettings for pipeline execution that override pipeline defaults.

reducto_split

Split Parameters:
ParameterTypeRequiredDefaultDescription
inputobjectYesFor parse/split/extract pipelines, the URL of the document to be processed. You can provide one of the following: 1. A publicly available URL 2. A presigned S3 URL 3. A reducto:// prefixed URL obtained from the /upload endpoint after directly uploading a document 4. A jobid:// prefixed URL obtained from a previous /parse invocation 5. A list of URLs (for multi-document pipelines, V3 API only) For edit pipelines, this should be a string containing the edit instructions
parsingobjectNoThe parsing value
settingsobjectNoThe settings value
split_descriptionobject[]YesThe configuration options for processing the document.
split_rulesstringNoThe prompt that describes rules for splitting the document.

reducto_split_async

Split Async Parameters:
ParameterTypeRequiredDefaultDescription
asyncobjectNoThe async value
inputobjectYesFor parse/split/extract pipelines, the URL of the document to be processed. You can provide one of the following: 1. A publicly available URL 2. A presigned S3 URL 3. A reducto:// prefixed URL obtained from the /upload endpoint after directly uploading a document 4. A jobid:// prefixed URL obtained from a previous /parse invocation 5. A list of URLs (for multi-document pipelines, V3 API only) For edit pipelines, this should be a string containing the edit instructions
parsingobjectNoThe parsing value
settingsobjectNoThe settings value
split_descriptionobject[]YesThe configuration options for processing the document.
split_rulesstringNoThe prompt that describes rules for splitting the document.

reducto_upload

Upload Parameters:
ParameterTypeRequiredDefaultDescription
extensionstringNoThe extension value
fileobjectNoThe file value